import type { CSSProperties, ElementType, HTMLAttributes, PropsWithChildren } from "react";
import { Semantic } from "./Semantic.token";
import "./Typography.css";
interface TypographyProps extends PropsWithChildren, HTMLAttributes<HTMLParagraphElement> {
    as?: ElementType;
    semanticToken: keyof typeof Semantic;
    style: CSSProperties;
}
export declare const Typography: {
    ({ children, semanticToken, style, as, ...restProps }: TypographyProps): import("react/jsx-runtime").JSX.Element;
    h1({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h1bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h2bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h3bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h4bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h5({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h5bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h6({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    h6bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p16({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p16bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p14({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p14bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p12({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    p12bold({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    l14({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
    l11({ ...restProps }: Omit<TypographyProps, "semanticToken">): import("react/jsx-runtime").JSX.Element;
};
export {};
